﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Repository;

namespace Repository.Migrations
{
    [DbContext(typeof(ApplicationDbContext))]
    partial class ApplicationDbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "2.2.4-servicing-10062")
                .HasAnnotation("Relational:MaxIdentifierLength", 128)
                .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

            modelBuilder.Entity("Domain.AspNet.ApplicationUser", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<int>("AccessFailedCount");

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Email")
                        .HasMaxLength(256);

                    b.Property<bool>("EmailConfirmed");

                    b.Property<bool>("IsDeleted");

                    b.Property<bool>("LockoutEnabled");

                    b.Property<DateTimeOffset?>("LockoutEnd");

                    b.Property<string>("NormalizedEmail")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedUserName")
                        .HasMaxLength(256);

                    b.Property<string>("PasswordHash");

                    b.Property<string>("PhoneNumber");

                    b.Property<bool>("PhoneNumberConfirmed");

                    b.Property<string>("SecurityStamp");

                    b.Property<bool>("TwoFactorEnabled");

                    b.Property<string>("UserName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedEmail")
                        .HasName("EmailIndex");

                    b.HasIndex("NormalizedUserName")
                        .IsUnique()
                        .HasName("UserNameIndex")
                        .HasFilter("[NormalizedUserName] IS NOT NULL");

                    b.ToTable("AspNetUsers");
                });

            modelBuilder.Entity("Domain.AspNet.HistorialLogin", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Acceso")
                        .HasMaxLength(100);

                    b.Property<string>("DireccionIP");

                    b.Property<DateTime>("Fecha");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Proyecto");

                    b.Property<string>("Username");

                    b.HasKey("Id");

                    b.ToTable("historialLogin");
                });

            modelBuilder.Entity("Domain.AuditDomain.EventAudit", b =>
                {
                    b.Property<int>("EventId")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Domain");

                    b.Property<string>("Duration");

                    b.Property<string>("EndDate");

                    b.Property<string>("EventType");

                    b.Property<string>("JsonData");

                    b.Property<string>("StartDate");

                    b.Property<string>("TargetNew");

                    b.Property<string>("TargetOld");

                    b.Property<string>("TargetType");

                    b.HasKey("EventId");

                    b.ToTable("EventAudit");
                });

            modelBuilder.Entity("Domain.Ejemplo.Categoria", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AppUser");

                    b.Property<string>("Descripcion")
                        .HasMaxLength(150);

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(20);

                    b.Property<DateTime>("RowVersion");

                    b.HasKey("Id");

                    b.ToTable("Categorias");
                });

            modelBuilder.Entity("Domain.Ejemplo.DirrecionPersona", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("CP")
                        .IsRequired();

                    b.Property<string>("Calle");

                    b.Property<string>("Ciudad");

                    b.Property<string>("Colonia")
                        .IsRequired();

                    b.Property<int?>("IdPersona");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Latitud")
                        .IsRequired();

                    b.Property<string>("Longitud")
                        .IsRequired();

                    b.Property<string>("NumeroExterior");

                    b.Property<string>("NumeroInterior");

                    b.HasKey("Id");

                    b.HasIndex("IdPersona");

                    b.ToTable("Direcciones");
                });

            modelBuilder.Entity("Domain.Ejemplo.Producto", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AppUser");

                    b.Property<int>("ContadorVisitas");

                    b.Property<string>("Descripcion");

                    b.Property<DateTime>("FechaRegistro");

                    b.Property<int>("IdCategoria");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Nombre");

                    b.Property<int>("PorcentajeDes");

                    b.Property<DateTime>("RowVersion");

                    b.Property<float>("precio");

                    b.Property<int>("talla_L");

                    b.Property<int>("talla_M");

                    b.Property<int>("talla_S");

                    b.Property<int>("talla_XS");

                    b.HasKey("Id");

                    b.HasIndex("IdCategoria");

                    b.ToTable("Productos");
                });

            modelBuilder.Entity("Domain.Objetos.Archivo", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AppUser");

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.Property<bool>("Estatus");

                    b.Property<DateTime?>("FechaDeAlta");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Nombre");

                    b.Property<DateTime?>("RowVersion");

                    b.Property<string>("URL");

                    b.HasKey("Id");

                    b.ToTable("ArchivosGenerales");

                    b.HasDiscriminator<string>("Discriminator").HasValue("Archivo");
                });

            modelBuilder.Entity("Domain.Objetos.Persona", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("Apellidos");

                    b.Property<string>("AppUser");

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.Property<string>("IdApplicationUser");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("Nombre")
                        .IsRequired()
                        .HasMaxLength(3);

                    b.Property<DateTime?>("RowVersion");

                    b.HasKey("Id");

                    b.HasIndex("IdApplicationUser")
                        .IsUnique()
                        .HasFilter("[IdApplicationUser] IS NOT NULL");

                    b.ToTable("Persona");

                    b.HasDiscriminator<string>("Discriminator").HasValue("Persona");
                });

            modelBuilder.Entity("Domain.Objetos.Venta", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("AppUser");

                    b.Property<float>("IVA");

                    b.Property<int>("IdUsuario");

                    b.Property<bool>("IsDeleted");

                    b.Property<string>("ListaProductos");

                    b.Property<DateTime>("RowVersion");

                    b.Property<float>("SubTotal");

                    b.Property<float>("TotalPagar");

                    b.HasKey("Id");

                    b.HasIndex("IdUsuario");

                    b.ToTable("Ventas");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRole", b =>
                {
                    b.Property<string>("Id")
                        .ValueGeneratedOnAdd();

                    b.Property<string>("ConcurrencyStamp")
                        .IsConcurrencyToken();

                    b.Property<string>("Discriminator")
                        .IsRequired();

                    b.Property<string>("Name")
                        .HasMaxLength(256);

                    b.Property<string>("NormalizedName")
                        .HasMaxLength(256);

                    b.HasKey("Id");

                    b.HasIndex("NormalizedName")
                        .IsUnique()
                        .HasName("RoleNameIndex")
                        .HasFilter("[NormalizedName] IS NOT NULL");

                    b.ToTable("AspNetRoles");

                    b.HasDiscriminator<string>("Discriminator").HasValue("IdentityRole");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("RoleId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetRoleClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.Property<int>("Id")
                        .ValueGeneratedOnAdd()
                        .HasAnnotation("SqlServer:ValueGenerationStrategy", SqlServerValueGenerationStrategy.IdentityColumn);

                    b.Property<string>("ClaimType");

                    b.Property<string>("ClaimValue");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("Id");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserClaims");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.Property<string>("LoginProvider");

                    b.Property<string>("ProviderKey");

                    b.Property<string>("ProviderDisplayName");

                    b.Property<string>("UserId")
                        .IsRequired();

                    b.HasKey("LoginProvider", "ProviderKey");

                    b.HasIndex("UserId");

                    b.ToTable("AspNetUserLogins");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("RoleId");

                    b.HasKey("UserId", "RoleId");

                    b.HasIndex("RoleId");

                    b.ToTable("AspNetUserRoles");
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.Property<string>("UserId");

                    b.Property<string>("LoginProvider");

                    b.Property<string>("Name");

                    b.Property<string>("Value");

                    b.HasKey("UserId", "LoginProvider", "Name");

                    b.ToTable("AspNetUserTokens");
                });

            modelBuilder.Entity("Domain.Objetos.ImagenProducto", b =>
                {
                    b.HasBaseType("Domain.Objetos.Archivo");

                    b.Property<int>("Contador");

                    b.Property<int?>("IdProducto");

                    b.HasIndex("IdProducto");

                    b.HasDiscriminator().HasValue("ImagenProducto");
                });

            modelBuilder.Entity("Domain.Objetos.Cliente", b =>
                {
                    b.HasBaseType("Domain.Objetos.Persona");

                    b.ToTable("Persona");

                    b.HasDiscriminator().HasValue("Cliente");
                });

            modelBuilder.Entity("Domain.AspNet.AspNetRole", b =>
                {
                    b.HasBaseType("Microsoft.AspNetCore.Identity.IdentityRole");

                    b.Property<bool>("IsDeleted");

                    b.HasDiscriminator().HasValue("AspNetRole");
                });

            modelBuilder.Entity("Domain.Ejemplo.DirrecionPersona", b =>
                {
                    b.HasOne("Domain.Objetos.Persona", "Persona")
                        .WithMany("Dirreciones")
                        .HasForeignKey("IdPersona");
                });

            modelBuilder.Entity("Domain.Ejemplo.Producto", b =>
                {
                    b.HasOne("Domain.Ejemplo.Categoria", "Categoria")
                        .WithMany("productos")
                        .HasForeignKey("IdCategoria")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Domain.Objetos.Persona", b =>
                {
                    b.HasOne("Domain.AspNet.ApplicationUser", "ApplicationUser")
                        .WithOne("Persona")
                        .HasForeignKey("Domain.Objetos.Persona", "IdApplicationUser");
                });

            modelBuilder.Entity("Domain.Objetos.Venta", b =>
                {
                    b.HasOne("Domain.Objetos.Persona", "Persona")
                        .WithMany("Ventas")
                        .HasForeignKey("IdUsuario")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityRoleClaim<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserClaim<string>", b =>
                {
                    b.HasOne("Domain.AspNet.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserLogin<string>", b =>
                {
                    b.HasOne("Domain.AspNet.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserRole<string>", b =>
                {
                    b.HasOne("Microsoft.AspNetCore.Identity.IdentityRole")
                        .WithMany()
                        .HasForeignKey("RoleId")
                        .OnDelete(DeleteBehavior.Cascade);

                    b.HasOne("Domain.AspNet.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Microsoft.AspNetCore.Identity.IdentityUserToken<string>", b =>
                {
                    b.HasOne("Domain.AspNet.ApplicationUser")
                        .WithMany()
                        .HasForeignKey("UserId")
                        .OnDelete(DeleteBehavior.Cascade);
                });

            modelBuilder.Entity("Domain.Objetos.ImagenProducto", b =>
                {
                    b.HasOne("Domain.Ejemplo.Producto", "ProductoImg")
                        .WithMany("ImagenProducto")
                        .HasForeignKey("IdProducto");
                });
#pragma warning restore 612, 618
        }
    }
}
